<?PHP

	// Передаем хидер браузеру
	header('Content-type:text/html; charset=utf-8');
	header('X-Powered-By: UNI GameCMS');

	// Отключаем функции через которые в основном используют уязвимости
    	ini_set('allow_url_fopen', 'Off'); 
    	ini_set('allow_url_include', 'Off'); 
    	ini_set('short_open_tag', 'Off'); 

	// Подключаем защиту для веб-сайта
	require("inc/classes/class.xwaf.php");
	$xWAF = new xWAF();
	$xWAF->start();

	// Определяем используемую php версию на сервере
	$version = PHP_VERSION;
	
	if($version[0] <= 7):
		if($version[0] == 7):
			if($version[2] < 4):
				exit('[У Вас установлена PHP ' . $version . ', для работы системы требуется 7.4 и выше.]');
			endif;
		else:
			exit('[У Вас установлена PHP ' . $version . ', для работы системы требуется 7.4 и выше.]');
		endif;
	endif;

	// Запускаем движок
	require("inc/engine.php");